#ifndef CANDIDACYLISTBOX_H
#define CANDIDACYLISTBOX_H

#include <qlistbox.h>
#include <qstringlist.h>

class CandidacyListBox : public QListBox {
public:
  enum {
    MAX_VISIBLE_ITEMS = 9,
  };

  CandidacyListBox();
  virtual ~CandidacyListBox() { }
  
  void showList(const QStringList& strs, int crntidx = 0);
  void showPreviousCandidacy(uint decrement = 1);
  void showNextCandidacy(uint increment = 1);
  void setFont(const QFont&);

public slots:
  void move(int x, int y);
  void move(QPoint p) { move(p.x(), p.y()); }

protected:
  void showEvent(QShowEvent *);
  void hideEvent(QHideEvent *);
};

#endif // CANDIDACYLISTBOX_H
